Bug 1009901 - Group lookup is not returned immediately after service startup
Group lookup is not returned immediately after service startup
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jakub Hrozek
Kaushik Banerjee
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 09:15 EDT by Kaushik Banerjee
Modified: 2014-06-18 00:03 EDT (History)
6 users (show)

See Also:
Fixed In Version: sssd-1.11.1-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:54:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaushik Banerjee 2013-09-19 09:15:36 EDT
Description of problem:
Group lookup is not returned immediately after sssd service startup

Version-Release number of selected component (if applicable):
sssd-1.11.0-1.el7

How reproducible:
Always

Steps to Reproduce:
1. Run the test with sleep of 1 second.

# service sssd stop; rm -f /var/lib/sss/{db,mc}/*;service sssd start;sleep 1;getent group kaugrp@sssdad2012.com
Redirecting to /bin/systemctl stop  sssd.service
Redirecting to /bin/systemctl start  sssd.service
kaugrp@sssdad2012.com:*:818410351:kautest@sssdad2012.com
#

2. Run the test without any delay

# service sssd stop; rm -f /var/lib/sss/{db,mc}/*;service sssd start;getent group kaugrp@sssdad2012.com
Redirecting to /bin/systemctl stop  sssd.service
Redirecting to /bin/systemctl start  sssd.service
#

Actual results:


Expected results:


Additional info:
Comment 2 Jakub Hrozek 2013-09-19 10:54:02 EDT
Upstream ticket:
https://fedorahosted.org/sssd/ticket/2092
Comment 5 Pavel Březina 2013-10-04 04:03:02 EDT
Thanks, I can reproduce it in house now.
Comment 6 Pavel Březina 2013-10-17 05:14:40 EDT
Hi,
the following scratch build contains a candidate patch. Can you test it please?

https://brewweb.devel.redhat.com/taskinfo?taskID=6432935
Comment 7 Kaushik Banerjee 2013-10-17 07:08:17 EDT
(In reply to Pavel Březina from comment #6)
> Hi,
> the following scratch build contains a candidate patch. Can you test it
> please?
> 
> https://brewweb.devel.redhat.com/taskinfo?taskID=6432935

With manual tests the fix looks good. Will test this build in our automation suite and give my feedback.
Comment 9 Kaushik Banerjee 2013-11-21 02:01:43 EST
Verified in version 1.11.2-1.el7

# service sssd stop; rm -f /var/lib/sss/{db,mc}/*;service sssd start;getent group group1_dom1@sssdad.com
Redirecting to /bin/systemctl stop  sssd.service
Redirecting to /bin/systemctl start  sssd.service
group1_dom1@sssdad.com:*:770843749:user1_dom1@sssdad.com
Comment 10 Ludek Smid 2014-06-13 07:54:29 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.